GET /api/v202604/billImportRule/log/bill/{billId}

Retrieves logs of rules used to process a given bill, including information on what values each rule altered

GetBillImportRuleLogsV202604 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId The bill to retrieve logs for integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BillImportRuleLogResponseV202604
Property Description Type
billProcessingHash A unique value used to identify a set of rules being executed for a bill string (uuid)
executedRules The set of rules executed for a bill BillImportRuleLogExecutionDataV202604[]
BillImportRuleLogExecutionDataV202604 properties
Property Description Type
billImportRule BillImportRuleChildV202604
BillImportRuleChildV202604 properties
Property Description Type
billImportRuleId The unique identifier of the bill import rule integer (int32)
billImportRuleInfo The name of the bill import rule string
executionOrder The order in which the rule executed during processing, with 1 being the first rule to execute integer (int32)
executionTime The date and time the rule was executed string (date-time)
logData BillImportRuleLogDataV202604
BillImportRuleLogDataV202604 properties
Property Description Type
differences A list of what properties were changed on the bill, including the value before and after the rule was changed. Note that these properties are relative to the import file and may not map in an obvious way to the final bill. BillImportRuleLogDataDifferenceV202604[]
BillImportRuleLogDataDifferenceV202604 properties
Property Description Type
newValue The value on the bill import file after the rule ran string
originalValue The value on the bill import file before the rule ran string
propertyName Name of the property modified.
Note that these properties are relative to the import file and may not map in an obvious way to the final bill.
string
message Message data produced from the rule executing string
Example Response application/json
[
  {    "billProcessingHash": "string",    "executedRules": [
      {      "billImportRule": {},      "executionOrder": 1,      "executionTime": "2026-06-12",      "logData": {}
    }
    ]
  }
]